package com.persagy.bdtp.adm.entity.oldadm;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class OEquip extends OBase {

	/** 二维码内容 */
	private String defaultQRCode;
	/** 设计图纸中编码 */
	private String cadId;
	/** RFID标识 */
	private String rfId;


	/** BIM模型中编码 */
	private String bimId;
	/** BIM构建编码 */
	private String bimTypeId;
	/** BIM模型中坐标 */
	private String bimLocation;
	/** 坐标对象数据 */
	@JsonProperty("location")
	@JsonAlias("locationJson")
	private Map<String, Double> location;
	/** 现场发现人员 */
	private String findPeople;

	/** 项目ID */
	private String projectId;
	/** 设备类型code */
	private String classCode;
	/** 设备所在建筑ID */
	private String buildingId;
	/** 设备所在楼层id */
	private String floorId;
	/** 设备关联的资产id */
	private String propertyId;

	/** 参见 EquipmentProSy **/
	/** 品牌型号id */
	private String dpManufacturerId;

	/** 供应商信息id */
	private String dpSupplierId;

	/** 维修商信息id */
	private String dpMaintainerId;

	/** 保险公司信息id */
	private String dpInsurerId;

	/** 设备型号id */
	private String dpSpecificationId;

	/** 品牌id */
	private String dpBrandId;

	/** Revit族 */
	private String bimFamilyName;
	/** Revit族类型 */
	private String bimFamilySymbol;
	/** 设备序号 */
	private Double equipSerial;

	/** 部件关联设备的id */
	private String parentId;
	/** 系统id集合 */
	private List<String> systemList;
	/** 项目自定义类型 */
	private String customCategory;
	/** 任务状态 */
	private Integer taskState;
	/** 模型id */
	private String modelId;
	/** 贴码状态 */
	private Integer codeType;
	/** 备注 */
	private String note;

	/** 客户端id */
	private String appId;
	/** 方案id */
	private String schemeId;

	/** 系统编码 */
	private String systemCode;
	/** 系统名称 */
	private String systemName;
	/** 二维码图片 */
	private String qrcodePic;

}
