package com.persagy.bdtp.adm.service;

import com.persagy.bdtp.adm.entity.db.AdmObject;

import java.util.List;

/**
 * 操作对象实体的服务
 */
public interface IAdmObjectService {

	/**
	 * 批量新增对象
	 */
	List<AdmObject> insert(List<AdmObject> voList);

	/**
	 * 批量更新对象
	 */
	List<AdmObject> update(List<AdmObject> voList);

	/**
	 * 查询建筑和楼层数据
	 * @param projectIds 项目id
	 * @return
	 */
	List<AdmObject> queryBdAndFl(String... projectIds);

//	/**
//	 * 查询楼层下的数据（空间、设备）
//	 * @param projectId 项目id
//	 * @param floorId 楼层id
//	 * @return
//	 */
//	List<AdmObject> queryByFloor(String projectId, String floorId);
//
//	/**
//	 * 查询建筑下的数据（空间、设备）
//	 * @param projectId 项目id
//	 * @param buildingId 楼层id
//	 * @return
//	 */
//	List<AdmObject> queryByBuilding(String projectId, String buildingId);

	/**
	 * 按类型查询正向交付的实体对象
	 * @param projectId 项目id
	 * @param objType 对象类型
	 * @return
	 */
	List<AdmObject> queryM2dByObjType(String projectId, String objType);

}
